## libdap 3.20.11

=== VCPP/Makefile ===
# Makefile for libdap (under VC++ on win32)

# Source code, samples, docs and target build areas
OBJDIR			= .\objects
SRCDIR			= ..
DOCDIR			= .\doc
SAMPLEDIR		= .\sample

# This is the prepackaging area.  Contents should never be on the build path.
# Fill in the VERSION (e.g., "= 3.7.3") to generate a final, version stamped
# release of the product.
PRODUCT			= libdap
VERSION			=
PKGDIR			= ..\..\prepkg\opendap\$(PRODUCT)$(VERSION)
PKGLIBDIR		= $(PKGDIR)\lib
PKGDLLDIR		= $(PKGDIR)\dll
PKGBINDIR		= $(PKGDIR)\bin
PKGETCDIR		= $(PKGDIR)\etc
PKGINCDIR		= $(PKGDIR)\include
PKGSAMPLEDIR	= $(PKGDIR)\sample

# This is the installation area.  It should never be on the build path either
# (except when building other, non-core components).
INSTALLDIR		= ..\..
INSTALLLIBDIR	= $(INSTALLDIR)\lib
INSTALLDLLDIR	= $(INSTALLDIR)\dll
INSTALLBINDIR	= $(INSTALLDIR)\bin
INSTALLETCDIR	= $(INSTALLDIR)\etc
INSTALLINCDIR	= $(INSTALLDIR)\include

# Headers only come from the source distribution itself.  Neither the
# Prepackaging or installation areas should be on any path for building
# the OPeNDAP Core.
INCLUDEDIR		= $(SRCDIR)

# Compiler, Linker
CC		= cl
LINK	= link

# Compiler tools
LEX	= flex
YACC	= bison

# We suppress #line directives under win32 to prevent warnings resulting
# when a "\" followed by some char is interpreted as an escape sequence.
YACCFLAGS	= --no-lines -d -v

# MT = Static Link Multi-Threaded Model
# MD = Dynamic Link Multi-Threaded DLL Model

# Setup compiler flags
MTCFLAGS	= /MT /D HAVE_PTHREAD_H
MDCFLAGS	= /MD /D HAVE_PTHREAD_H
CFLAGS		= /nologo /W0 /GR /EHsc /c

# Setup linker flags for libdap
DAP_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
DAP_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdap.def /map /fixed:NO /base:0x06000000 /NODEFAULTLIB:LIBCMT.lib

# Setup linker flags for libdapclient
CLIENT_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
CLIENT_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdapclient.def /map /fixed:NO /base:0x07000000 /NODEFAULTLIB:LIBCMT.lib

# Setup linker flags for libdapserver
SERVER_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
SERVER_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdapserver.def /map /fixed:NO /base:0x08000000 /NODEFAULTLIB:LIBCMT.lib

# Setup link libraries for libdap
DAP_MTLIBS		=
DAP_MDLIBS		= libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup link libraries for libdapclient
CLIENT_MTLIBS	=
CLIENT_MDLIBS	= libdapMD.lib libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup link libraries for libdapserver
SERVER_MTLIBS	=
SERVER_MDLIBS	= libdapMD.lib libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup linker flags for executables
EMTLFLAGS		= /nologo /libpath:$(OBJDIR)\MT /NODEFAULTLIB:MSVCRT.lib
EMDLFLAGS		= /nologo /libpath:$(OBJDIR)\MD /NODEFAULTLIB:LIBCMT.lib

# Setup link libraries for executables
EMTLLIBS		= libdapclientMT.lib libdapserverMT.lib libdapMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib
EMDLLIBS		= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup compiler includes and defines
INCS		= /I . /I .. /I ..\GNU /I ..\win32\gl /I $(INCLUDEDIR)
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D HAVE_CONFIG_H
CPPFLAGS	= $(DEFS) $(INCS)

default:
	@echo "usage: nmake all; nmake install; nmake package"

all:	setup modelMT modelMD

modelMT:
	@-md $(OBJDIR)\MT
	@echo "Building MT model libraries for the Core"
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(DAP_MTLFLAGS)" LIBS="$(DAP_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapMT.lib
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(CLIENT_MTLFLAGS)" LIBS="$(CLIENT_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapclientMT.lib
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(SERVER_MTLFLAGS)" LIBS="$(SERVER_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapserverMT.lib

	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT getdap
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT deflate
	@echo "MT model libraries for the Core are complete"

modelMD:
	@-md $(OBJDIR)\MD
	@echo "Building MD model libraries for the Core"
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(DAP_MDLFLAGS)" LIBS="$(DAP_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapMD.dll	
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(CLIENT_MDLFLAGS)" LIBS="$(CLIENT_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapclientMD.dll
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(SERVER_MDLFLAGS)" LIBS="$(SERVER_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapserverMD.dll

	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD getdap
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD deflate
	@echo "MD model libraries for the Core are complete"

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .c .cc .exe

# Rules for library objects, both the .c and .cc's are C++
{$(SRCDIR)}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

# Rule for linking executables
{$(OBJDIR)}.obj{$(OBJDIR)}.exe:
	$(LINK) $(LFLAGS) /out:$@ $< $(LIBS)

GNU_OBJS = $(OBJDIR)\GetOpt.obj \
		$(OBJDIR)\GNURegex.obj \
		$(OBJDIR)\regex.obj \
		$(OBJDIR)\strcasecmp.obj \
		$(OBJDIR)\strncasecmp.obj \
		$(OBJDIR)\strnlen1.obj \
		$(OBJDIR)\localcharset.obj

GRAM_OBJS = $(OBJDIR)\lex.das.obj \
		$(OBJDIR)\das.tab.obj \
		$(OBJDIR)\lex.dds.obj \
		$(OBJDIR)\dds.tab.obj \
		$(OBJDIR)\lex.ce_expr.obj \
		$(OBJDIR)\ce_expr.tab.obj \
		$(OBJDIR)\lex.Error.obj \
		$(OBJDIR)\Error.tab.obj

DAP_OBJS = $(GRAM_OBJS) \
		$(OBJDIR)\AttrTable.obj \
		$(OBJDIR)\ConstraintEvaluator.obj \
		$(OBJDIR)\DAS.obj \
		$(OBJDIR)\DDS.obj \
		$(OBJDIR)\DataDDS.obj \
		$(OBJDIR)\DDXParser.obj \
		$(OBJDIR)\BaseType.obj \
		$(OBJDIR)\Byte.obj \
		$(OBJDIR)\Error.obj \
		$(OBJDIR)\Int32.obj \
		$(OBJDIR)\Float64.obj \
		$(OBJDIR)\Str.obj \
		$(OBJDIR)\Url.obj \
		$(OBJDIR)\Vector.obj \
		$(OBJDIR)\Array.obj \
		$(OBJDIR)\Structure.obj \
		$(OBJDIR)\Sequence.obj \
		$(OBJDIR)\Grid.obj \
		$(OBJDIR)\UInt32.obj \
		$(OBJDIR)\Int16.obj \
		$(OBJDIR)\UInt16.obj \
		$(OBJDIR)\Float32.obj \
		$(OBJDIR)\GeoConstraint.obj \
		$(OBJDIR)\GridGeoConstraint.obj \
		$(OBJDIR)\Constructor.obj \
		$(OBJDIR)\BaseTypeFactory.obj \
		$(OBJDIR)\SignalHandler.obj \
		$(OBJDIR)\InternalErr.obj \
		$(OBJDIR)\util.obj \
		$(OBJDIR)\xdrutil_ppc.obj \
		$(OBJDIR)\XDRUtils.obj	 \
		$(OBJDIR)\XDRFileMarshaller.obj	\
		$(OBJDIR)\XDRFileUnMarshaller.obj	\
		$(OBJDIR)\XDRStreamMarshaller.obj	 \
		$(OBJDIR)\parser-util.obj \
		$(OBJDIR)\escaping.obj \
		$(OBJDIR)\Clause.obj \
		$(OBJDIR)\RValue.obj \
		$(OBJDIR)\gse.tab.obj \
		$(OBJDIR)\ce_functions.obj \
		$(OBJDIR)\GSEClause.obj \
		$(OBJDIR)\lex.gse_.obj \
		$(OBJDIR)\ArrayGeoConstraint.obj \
		$(OBJDIR)\DapIndent.obj

CLIENT_OBJS = $(OBJDIR)\RCReader.obj \
		$(OBJDIR)\Connect.obj \
		$(OBJDIR)\HTTPConnect.obj \
		$(OBJDIR)\HTTPCache.obj \
		$(OBJDIR)\HTTPCacheTable.obj \
		$(OBJDIR)\AISResources.obj \
		$(OBJDIR)\AISDatabaseParser.obj \
		$(OBJDIR)\AISMerge.obj \
		$(OBJDIR)\AISConnect.obj \
		$(OBJDIR)\util_mit.obj \
		$(OBJDIR)\ResponseTooBigErr.obj

SERVER_OBJS = $(OBJDIR)\DODSFilter.obj \
		$(OBJDIR)\Ancillary.obj \
		$(OBJDIR)\cgi_util.obj

# Convenience dependancies
libdapMT.lib:		$(OBJDIR)\libdapMT.lib
libdapclientMT.lib:	$(OBJDIR)\libdapclientMT.lib
libdapserverMT.lib:	$(OBJDIR)\libdapserverMT.lib
libdapMD.dll:		$(OBJDIR)\libdapMD.dll
libdapclientMD.dll:	$(OBJDIR)\libdapclientMD.dll
libdapserverMD.dll:	$(OBJDIR)\libdapserverMD.dll

getdap:		$(OBJDIR)\getdap.exe
deflate:	$(OBJDIR)\deflate.exe

# Build the static-link core libraries
$(OBJDIR)\libdapMT.lib: $(DAP_OBJS) $(GNU_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	
$(OBJDIR)\libdapserverMT.lib: $(SERVER_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)

$(OBJDIR)\libdapclientMT.lib: $(CLIENT_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	
############################################################################
# The song and dances before the link lines below are to get a legitimate
# module export definition (.def) for the dll's.  We use lib, dumpbin and
# a 3rd-party awk to do this automatically in a rather round-about way.
#
# The $$ reduces to just $ as make evaluates that.  The \? to awk tells it
# to be looking for a literal "?".  A textual description of the awk command
# is as follows: "Find all second fields (2nd whitespace delimited groups of
# characters) in the text lines that begin with ? and do not begin with ??_
# (i.e., all C++ code originating methods minus the destructors which should
# not be exposed do to how dll's work) and output those in the module export
# definition file."  These are the methods that will be exposed to programs
# that use the dll in question.  C code references begins with just "_" and
# we need not expose those.
############################################################################
	
# Build the dynamic-link core libraries
$(OBJDIR)\libdapMD.dll: $(DAP_OBJS) $(GNU_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdap.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdap.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdap.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

$(OBJDIR)\libdapclientMD.dll: $(CLIENT_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdapclient.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdapclient.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdapclient.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

$(OBJDIR)\libdapserverMD.dll: $(SERVER_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdapserver.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdapserver.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdapserver.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

# Libdap with the gram objs
$(OBJDIR)\lex.das.obj					: $(SRCDIR)\lex.das.cc
$(OBJDIR)\das.tab.obj					: $(SRCDIR)\das.tab.cc
$(OBJDIR)\lex.dds.obj					: $(SRCDIR)\lex.dds.cc
$(OBJDIR)\dds.tab.obj					: $(SRCDIR)\dds.tab.cc
$(OBJDIR)\lex.ce_expr.obj				: $(SRCDIR)\lex.ce_expr.cc
$(OBJDIR)\ce_expr.tab.obj				: $(SRCDIR)\ce_expr.tab.cc
$(OBJDIR)\lex.Error.obj					: $(SRCDIR)\lex.Error.cc
$(OBJDIR)\Error.obj						: $(SRCDIR)\Error.cc
$(OBJDIR)\Error.tab.obj					: $(SRCDIR)\Error.tab.cc
$(OBJDIR)\AttrTable.obj					: $(SRCDIR)\AttrTable.cc
$(OBJDIR)\ConstraintEvaluator.obj 		: $(SRCDIR)\ConstraintEvaluator.cc
$(OBJDIR)\DapIndent.obj					: $(SRCDIR)\DapIndent.cc
$(OBJDIR)\DAS.obj						: $(SRCDIR)\DAS.cc
$(OBJDIR)\DDS.obj						: $(SRCDIR)\DDS.cc
$(OBJDIR)\DataDDS.obj					: $(SRCDIR)\DataDDS.cc
$(OBJDIR)\DDXParser.obj					: $(SRCDIR)\DDXParser.cc
$(OBJDIR)\BaseType.obj					: $(SRCDIR)\BaseType.cc
$(OBJDIR)\Byte.obj						: $(SRCDIR)\Byte.cc
$(OBJDIR)\Int32.obj						: $(SRCDIR)\Int32.cc
$(OBJDIR)\Float64.obj					: $(SRCDIR)\Float64.cc
$(OBJDIR)\GeoConstraint.obj				: $(SRCDIR)\GeoConstraint.cc
$(OBJDIR)\GridGeoConstraint.obj			: $(SRCDIR)\GridGeoConstraint.cc
$(OBJDIR)\Str.obj						: $(SRCDIR)\Str.cc
$(OBJDIR)\Url.obj						: $(SRCDIR)\Url.cc
$(OBJDIR)\Vector.obj					: $(SRCDIR)\Vector.cc
$(OBJDIR)\Array.obj						: $(SRCDIR)\Array.cc
$(OBJDIR)\Structure.obj					: $(SRCDIR)\Structure.cc
$(OBJDIR)\Sequence.obj					: $(SRCDIR)\Sequence.cc

=== debian/changelog ===
libdap (3.20.11-2) unstable; urgency=medium

  * Patc h for FTBFS with g++-13. Closes: #1037725
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jun 2023 09:45:57 +0100

libdap (3.20.11-1) unstable; urgency=medium

  * New upstream release. Closes: #1016566

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Aug 2022 07:00:29 +0100

libdap (3.20.10-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1. no changes required
  * Drop unique_ptr patch; merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Aug 2022 18:24:28 +0100

=== debian/control ===
Source: libdap
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: zlib1g-dev, 
 debhelper-compat (= 13), 
 pkg-config, 
 libxml2-dev, 
 libcurl4-gnutls-dev | libcurl-dev, 
 libtirpc-dev,
 libcppunit-dev, 
 cxxtest, 
 doxygen,
 dejagnu, 
 graphviz,
 bison, 
 bsdextrautils,
 uuid-dev, 
 libjs-jquery, 
 libpth-dev, 
 libssl-dev,
 libfl-dev
Build-Conflicts: autoconf2.13
Standards-Version: 4.6.2
Homepage: https://www.opendap.org/
Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
Vcs-Git: https://salsa.debian.org:/science-team/libdap.git -b debian/latest

Package: libdap27
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open-source Project for a Network Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well 
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits. 
 .
 With OPeNDAP software, you access data using a URL, just like a URL you
 would use to access a web page. However, before you request any data, 
 you need to know how to request it in a form your browser can handle. 
 OPeNDAP data is stored in binary form, and by default, it is 
 transmitted that way, too. 

Package: libdapclient6v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Description: Client library for the Network Data Access Protocol
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package provides the client library libdapclient6.

Package: libdapserver7v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Description: Server library for the Network Data Access Protocol
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package provides the server library libdapserver7


Package: libdap-bin
Architecture: any
Multi-Arch: foreign
Depends: libdapclient6v5 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
Description: Binaries for the  libdap Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains the 'getdap' client binary.

Package: libdap-dev
Section: libdevel
Architecture: any
Depends: libdap27 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config, libtirpc-dev
Breaks: libdap-bin (<< 3.20.7-6~)
Replaces: libdap-bin (<< 3.20.7-6~)
Description: Development files (headers and static libraries) for libdap
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains header files, pkgconfig files and static libraries
 for DAP.

Package: libdap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: Documentation for the libdap Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.

## libdap 3.21.0

=== debian/changelog ===
libdap (3.21.0-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 22:06:47 +0000

libdap (3.21.0-1) unstable; urgency=medium

  * New upstream release
  * Fix d/copyright errors thanks to Lintian

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Jan 2024 07:55:05 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,10 @@
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git -b debian/latest
 
-Package: libdap27
+Package: libdap27t64
+Provides: ${t64:Provides}
+Replaces: libdap27
+Breaks: libdap27 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,12 +48,16 @@
  OPeNDAP data is stored in binary form, and by default, it is 
  transmitted that way, too. 
 
-Package: libdapclient6v5
+Package: libdapclient6t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libdapclient6v5
+Replaces: libdapclient6v5
+Breaks: libdapclient6v5 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap27t64 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Description: Client library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -60,12 +67,16 @@
  .
  This package provides the client library libdapclient6.
 
-Package: libdapserver7v5
+Package: libdapserver7t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libdapserver7v5
+Replaces: libdapserver7v5
+Breaks: libdapserver7v5 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap27t64 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Description: Server library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -79,7 +90,7 @@
 Package: libdap-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: libdapclient6v5 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
+Depends: libdapclient6t64 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
 Description: Binaries for the  libdap Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -92,7 +103,7 @@
 Package: libdap-dev
 Section: libdevel
 Architecture: any
-Depends: libdap27 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config, libtirpc-dev
+Depends: libdap27t64 ( = ${binary:Version} ), libdapserver7t64 (=${binary:Version}), libdapclient6t64 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config, libtirpc-dev
 Breaks: libdap-bin (<< 3.20.7-6~)
 Replaces: libdap-bin (<< 3.20.7-6~)
 Description: Development files (headers and static libraries) for libdap

## libdap 3.21.1

=== debian/changelog ===
libdap (3.21.1-2) unstable; urgency=medium

  * Standards-Version: 4.7.2
  * Move to stdc++20 to compile with unicode/localpointer.h
  * Add std++-20.patch. Closes: #1101233

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 03:25:32 +0000

libdap (3.21.1-1) unstable; urgency=medium

  * New upstream release
  * All tests enabled,, but logged not fail in this release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Jan 2025 07:38:41 +0000

libdap (3.21.0-2) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Move from pkgconfig to pkgconf
  * Remove obsolete Breaks/Depends
  * Drop superflous entries in d/copyright, old patch for tirpc
  * Temporarily Build-conflict on libpth-dev until it is back in testing.
    Closes: #1080995

  [  Helmut Grohne ]
  * Demote Build-Depends: Closes: #1080404
    + libcppunit-dev, cxxtest, dejagno, libjs-jquery: Annotate <!nocheck>.
    + libpth-dev: Drop as libdap prefers posix over pth even on hurd.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Sep 2024 13:03:17 +0100

libdap (3.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062268

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:41:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: libdap
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, 
  debhelper-compat (= 13), 
- pkg-config, 
+ pkgconf,
  libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
  libtirpc-dev,
- libcppunit-dev, 
- cxxtest, 
+ libcppunit-dev <!nocheck>, 
+ cxxtest <!nocheck>, 
  doxygen,
- dejagnu, 
+ dejagnu <!nocheck>, 
  graphviz,
  bison, 
  bsdextrautils,
  uuid-dev, 
- libjs-jquery, 
- libpth-dev, 
+ libjs-jquery <!nocheck>, 
  libssl-dev,
  libfl-dev
-Build-Conflicts: autoconf2.13
-Standards-Version: 4.6.2
+Build-Conflicts: autoconf2.13,
+  libpth-dev
+Standards-Version: 4.7.2
 Homepage: https://www.opendap.org/
-Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
-Vcs-Git: https://salsa.debian.org:/science-team/libdap.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/libdap.git
+Vcs-Git: https://salsa.debian.org/science-team/libdap.git -b debian/latest
 
 Package: libdap27t64
-Provides: ${t64:Provides}
+Section: libs
 Replaces: libdap27
 Breaks: libdap27 (<< ${source:Version})
-Section: libs
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -68,11 +69,11 @@
  This package provides the client library libdapclient6.
 
 Package: libdapserver7t64
+Section: libs
 Provides: ${t64:Provides}
 X-Time64-Compat: libdapserver7v5
 Replaces: libdapserver7v5
 Breaks: libdapserver7v5 (<< ${source:Version})
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -103,9 +104,7 @@
 Package: libdap-dev
 Section: libdevel
 Architecture: any
-Depends: libdap27t64 ( = ${binary:Version} ), libdapserver7t64 (=${binary:Version}), libdapclient6t64 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config, libtirpc-dev
-Breaks: libdap-bin (<< 3.20.7-6~)
-Replaces: libdap-bin (<< 3.20.7-6~)
+Depends: libdap27t64 ( = ${binary:Version} ), libdapserver7t64 (=${binary:Version}), libdapclient6t64 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkgconf, libtirpc-dev
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -113,7 +112,7 @@
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits.
  .
- This package contains header files, pkgconfig files and static libraries
+ This package contains header files, pkgconf files and static libraries
  for DAP.
 
 Package: libdap-doc

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall -pedantic

CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++20
export CXXFLAGS

export DO_TEST=true
export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes

override_dh_auto_test:
	$(DO_TEST) && dh_auto_test || echo "Ignoring test failures"

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"
	-find debian/libdap-doc -name '*.md5' -delete \;

clean:
	dh clean
	rm -rf html doxygen_warnings.txt
